订单列表
Atlas API 订单列表端点参考,用于查询订单集合,支持预订后运营、核对和订单跟进。
使用 orderList.do 查询订单集合,支持预订后的运营核对和订单跟进。
它适用于列表级查询,而非单笔订单的出票状态确认。
常见问题
何时应使用 orderList.do?
当需要查询多个订单并进行运营跟进时使用。
使用它支持订单核对和预订后处理。
如何查询单笔订单的出票状态?
使用查询订单获取单笔订单状态、出票进度和订单详情。
不要使用列表查询替代支付后的订单状态跟进。
查询订单后应做什么?
根据订单状态选择适用的预订后操作。
退款、作废和订单维护流程请参阅预订后操作。
相关指南
使用订单维护了解运营查询与其他维护操作的边界。
Dependency: No preceding function needs to be called before 'orderList' API.
Endpoint: https://sandbox.atriptech.com/orderList.do
application/jsonapplication/jsongzip<YOUR_CLIENT_ID><YOUR_CLIENT_SECRET>A series of conditions for matching orders
Atlas order number. Accurate matching
TESTA20241122090710695The airline PNR(not Atlas's). If the airline pnr of the order contains any of the given values, it will be returned.
The name of the passenger(last name/first name). If the passenger in the order includes the given value, it will be returned.
Accurate matching,match based on the contact email provided by the customer
IATA code of the departure city
IATA code of the arrival city
Date of departure. The format is:yyyyMMdd
The start time of order creation. This is in UTC. The format is:yyyy-MM-dd'T'HH:mm:ss'Z'.
The end time of order creation. This is in UTC. The format isyyyy-MM-dd'T'HH:mm:ss'Z'
If the airlines of the order contains any of the given values, it will be returned
Start from: 1
1Number of records to be displayed on each page.
20It serves as an additional description of the response result. Especially when the interface reports an error (status !=0), it is usually a human-readable error message. Note: Do not use this field in any programming scenarios. For example, do not judge whether the interface responds successfully based on this field. Instead, you should only determine it by checking whether the status is equal to0at any time.
POST /orderList.do HTTP/1.1
Accept: text
Accept-Encoding: text
x-atlas-client-id: text
x-atlas-client-secret: text
Content-Type: application/json
Content-Length: 285
{
"orderNo": "",
"airlinePNRs": [
"FT759J",
"8HFT67"
],
"paxName": "",
"contactEmail": "",
"fromCity": "",
"toCity": "",
"depDate": "20250101",
"createTimeRangeFrom": "2024-10-31T19:57:46Z",
"createTimeRangeTo": "2024-11-01T19:57:46Z",
"orderStatus": [
0,
1,
2,
-3
],
"airlines": [
"SL",
"TF"
],
"page": 1,
"pageSize": 20
}{
"status": 0,
"msg": null,
"page": 1,
"pageSize": 20,
"totalRecords": 2,
"orders": [
{
"orderNo": "TESTA20241122090710695",
"pnrCode": "Z27T5B",
"airlinePNRs": [
"FT759J"
],
"orderStatus": 2,
"depDate": "20250101",
"airlines": [
"SL"
],
"orderCreateTimestamp": "2024-11-22T01:07:10Z",
"paymentTimestamp": "2024-11-22T01:07:11Z",
"paxNames": [
"YIJING/tFGo"
],
"contactEmail": "test@test.com",
"fromCity": "CNX",
"toCity": "BKK",
"errorCode": null,
"errorMessage": null
},
{
"orderNo": "TESTA20241122080618700",
"pnrCode": "LLQNYJ",
"airlinePNRs": [
"8HFT67|8HFT67"
],
"orderStatus": 2,
"depDate": "20250101",
"airlines": [
"TF"
],
"orderCreateTimestamp": "2024-11-22T00:06:18Z",
"paymentTimestamp": "2024-11-22T00:06:19Z",
"paxNames": [
"YIJING/gAMM",
"JIXING/gAMM"
],
"contactEmail": "test@test.com",
"fromCity": "VBY",
"toCity": "STO",
"errorCode": null,
"errorMessage": null
}
]
}Last updated
Was this helpful?

